ChangeSet 1.1807.56.21, 2004/08/06 11:08:00-07:00, greg@kroah.com

MODULE: delete local static copy of param_set_byte as we now have a real version of it.

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 kernel/module.c |   13 -------------
 1 files changed, 13 deletions(-)


diff -Nru a/kernel/module.c b/kernel/module.c
--- a/kernel/module.c	2004-08-23 11:04:36 -07:00
+++ b/kernel/module.c	2004-08-23 11:04:36 -07:00
@@ -725,19 +725,6 @@
 #endif /* CONFIG_MODULE_UNLOAD */
 
 #ifdef CONFIG_OBSOLETE_MODPARM
-static int param_set_byte(const char *val, struct kernel_param *kp)  
-{
-	char *endp;
-	long l;
-
-	if (!val) return -EINVAL;
-	l = simple_strtol(val, &endp, 0);
-	if (endp == val || *endp || ((char)l != l))
-		return -EINVAL;
-	*((char *)kp->arg) = l;
-	return 0;
-}
-
 /* Bounds checking done below */
 static int obsparm_copy_string(const char *val, struct kernel_param *kp)
 {
